# Class VariantBnd

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.Variant
org.snpeff.interval.VariantBnd

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<Interval>, TxtSerializable`

public class VariantBnd extends Variant
A 'BND' variant (i.e. translocation) consisting of two endpoints

Author:
  pcingola
See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class Variant

`Variant.VariantType`

## Field Summary

### Fields inherited from class Variant

`alt, genotype, HUGE_DELETION_RATIO_THRESHOLD, HUGE_DELETION_SIZE_THRESHOLD, imprecise, NO_VARIANT, ref, variantType`

### Fields inherited from class Marker

`type`

### Fields inherited from class Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`VariantBnd()`
`VariantBnd(Marker parent, int start, String ref, String alt, Chromosome chrTr, int startTr, boolean left, boolean before)`

## Method Summary

Modifier and Type
Method
Description
`Marker`
`getEndPoint()`
`boolean`
`isBefore()`
`boolean`
`isBnd()`
`boolean`
`isLeft()`
`boolean`
`isStructural()`
`Markers`
`query(IntervalForest intervalForest)`
Return a collection of intervals that intersect both ends of this variant
`Variant`
`realignLeft()`
Create a new variant realigning it towards the leftmost position
`String`
`toString()`

### Methods inherited from class Variant

`clone, cloneShallow, compareTo, decompose, factory, getAlt, getGenotype, getReference, getVariantType, hashCode, isDel, isDup, isElongation, isImprecise, isInDel, isIns, isInterval, isInv, isMixed, isMnp, isNonRef, isShowWarningIfParentDoesNotInclude, isSnp, isStructuralHuge, isTruncation, isVariant, lengthChange, netChange, netChange, reverse, setGenotype, setImprecise, setVariantType, toStringEnsembl, toStringOld`

### Methods inherited from class Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, codonTable, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, minus, query, readTxt, serializeParse, serializeSave, shouldApply, union, variantEffect, variantEffectNonRef`

### Methods inherited from class Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VariantBnd

public VariantBnd()

### VariantBnd

public VariantBnd(Marker parent, int start, String ref, String alt, Chromosome chrTr, int startTr, boolean left, boolean before)

## Method Details

### getEndPoint

public Marker getEndPoint()

### isBefore

public boolean isBefore()

### isBnd

public boolean isBnd()

Overrides:
  `isBnd` in class `Variant`

### isLeft

public boolean isLeft()

### isStructural

public boolean isStructural()

Overrides:
  `isStructural` in class `Variant`

### query

public Markers query(IntervalForest intervalForest)
Return a collection of intervals that intersect both ends of this variant

Overrides:
  `query` in class `Marker`

### realignLeft

public Variant realignLeft()
Description copied from class: `Variant`
Create a new variant realigning it towards the leftmost position

Overrides:
  `realignLeft` in class `Variant`

### toString

public String toString()

Overrides:
  `toString` in class `Variant`